Mitsuhashi96NaEquivalent
Date: 2014-08-08

melting.ionCorrection.sodiumEquivalence

## Class Mitsuhashi96NaEquivalent

- java.lang.Object
- - melting.ionCorrection.sodiumEquivalence.SodiumEquivalent
  - - melting.ionCorrection.sodiumEquivalence.Mitsuhashi96NaEquivalent

- All Implemented Interfaces:
    NamedMethod, SodiumEquivalentMethod

      public class Mitsuhashi96NaEquivalent
      extends SodiumEquivalent
      implements NamedMethod

  This class represents the model for a sodium equivalence mit96. It extends SodiumEquivalent. Mitsuhashi M., 1996, "Technical report: Part 1. Basic requirements for designing optimal oligonucleotide probe sequences.", J. Clin. Lab. Anal, 10, 277-284.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mitsuhashi96NaEquivalent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `computeSodiumEquivalent(double Na, double Mg, double K, double Tris, double dNTP)` This method is called to convert an initial sodium concentration in a new equivalent sodium concentration which takes in account the other cation concentrations.
    `java.lang.String` | `getName()` Gets the full name of the method.

    - ### Methods inherited from class melting.ionCorrection.sodiumEquivalence.SodiumEquivalent

      `getSodiumEquivalent, isApplicable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Mitsuhashi96NaEquivalent

          public Mitsuhashi96NaEquivalent()

  - ### Method Detail

    - #### computeSodiumEquivalent

          public double computeSodiumEquivalent(double Na,
                                       double Mg,
                                       double K,
                                       double Tris,
                                       double dNTP)

      Description copied from interface: `SodiumEquivalentMethod`
      This method is called to convert an initial sodium concentration in a new equivalent sodium concentration which takes in account the other cation concentrations.
      Specified by:
        `computeSodiumEquivalent` in interface `SodiumEquivalentMethod`
      Parameters:
        `Na` - : sodium concentration entered by the user
        `Mg` - : magnesium concentration entered by the user
        `K` - : potassium concentration entered by the user
        `Tris` - : Tris buffer concentration entered by the user.
        `dNTP` - : dNTP concentration entered by the user
      Returns:
        double NaEq. It is the equivalent sodium computed concentration

    - #### getName

          public java.lang.String getName()

      Gets the full name of the method.
      Specified by:
        `getName` in interface `NamedMethod`
      Returns:
        The full name of the method.